--- Makefile.orig	2013-03-22 02:27:41.000000000 -0600
+++ Makefile	2013-04-03 13:52:08.721896778 -0600
@@ -1,4 +1,5 @@
 APPNAME=redeclipse
+VERSION=1.4
 
 all:
 
--- core.mk.orig	2013-03-21 13:45:14.000000000 -0600
+++ core.mk	2013-04-03 13:52:08.723896754 -0600
@@ -3,7 +3,7 @@
 APPSERVER=$(APPNAME)_server
 
 #CXXFLAGS= -ggdb3
-CXXFLAGS= -O3 -fomit-frame-pointer
+CXXFLAGS=$(EXTRA_CXXFLAGS) -fomit-frame-pointer
 override CXXFLAGS+= -Wall -fsigned-char -fno-exceptions -fno-rtti
 
 PLATFORM= $(shell uname -s)
--- system-install.mk.orig	2013-03-20 16:21:57.000000000 -0600
+++ system-install.mk	2013-04-03 22:44:56.979810436 -0600
@@ -6,15 +6,15 @@
 appserver=$(APPSERVER)
 appgamedir=game/$(APPSHORTNAME)
 
-prefix=/usr/local
+prefix=/usr
 games=
 gamesbin=/bin
 bindir=$(DESTDIR)$(prefix)/bin
 gamesbindir=$(DESTDIR)$(prefix)$(gamesbin)
-libexecdir=$(DESTDIR)$(prefix)/lib$(games)
-datadir=$(DESTDIR)$(prefix)/share$(games)
-docdir=$(DESTDIR)$(prefix)/share/doc
-mandir=$(DESTDIR)$(prefix)/share/man
+libexecdir=$(DESTDIR)$(prefix)/share/$(appname)-$(VERSION)/lib
+datadir=$(DESTDIR)$(prefix)/share/$(appname)-$(VERSION)
+docdir=$(DESTDIR)$(prefix)/doc/$(appname)-$(VERSION)
+mandir=$(DESTDIR)$(prefix)/man
 menudir=$(DESTDIR)$(prefix)/share/applications
 icondir=$(DESTDIR)$(prefix)/share/icons/hicolor
 pixmapdir=$(DESTDIR)$(prefix)/share/pixmaps
@@ -54,62 +54,62 @@
 icons: $(ICONS)
 
 system-install-client: client
-	install -d $(libexecdir)/$(appname)
+	install -d $(libexecdir)
 	install -d $(gamesbindir)
-	install -m755 $(appclient) $(libexecdir)/$(appname)/$(appname)
+	install -m755 $(appclient) $(libexecdir)/$(appname)
 	install -m755 install/nix/$(appsrcname).am \
 		$(gamesbindir)/$(appname)
-	sed -e 's,@LIBEXECDIR@,$(patsubst $(DESTDIR)%,%,$(libexecdir)),g' \
-		-e 's,@DATADIR@,$(patsubst $(DESTDIR)%,%,$(datadir)),g' \
-		-e 's,@DOCDIR@,$(patsubst $(DESTDIR)%,%,$(docdir)),g' \
+	sed -e 's,@LIBEXECDIR@/@APPNAME@,$(patsubst $(DESTDIR)%,%,$(libexecdir)),g' \
+		-e 's,@DATADIR@/@APPNAME@,$(patsubst $(DESTDIR)%,%,$(datadir)),g' \
+		-e 's,@DOCDIR@/@APPNAME@,$(patsubst $(DESTDIR)%,%,$(docdir)),g' \
 		-e 's,@APPNAME@,$(appname),g' \
 		-i $(gamesbindir)/$(appname)
 	ln -s $(patsubst $(DESTDIR)%,%,$(datadir))/$(appname)/data \
-		$(libexecdir)/$(appname)/data
+		$(libexecdir)/data
 	ln -s $(patsubst $(DESTDIR)%,%,$(datadir))/$(appname)/game \
-		$(libexecdir)/$(appname)/game
+		$(libexecdir)/game
 
 system-install-server: server
-	install -d $(libexecdir)/$(appname)
+	install -d $(libexecdir)
 	install -d $(gamesbindir)
-	install -d $(datadir)/$(appname)
+	install -d $(datadir)
 	install -m755 $(appserver) \
-		$(libexecdir)/$(appname)/$(appname)-server
+		$(libexecdir)/$(appname)-server
 	install -m755 install/nix/$(appsrcname)-server.am \
 		$(gamesbindir)/$(appname)-server
-	sed -e 's,@LIBEXECDIR@,$(patsubst $(DESTDIR)%,%,$(libexecdir)),g' \
-		-e 's,@DATADIR@,$(patsubst $(DESTDIR)%,%,$(datadir)),g' \
-		-e 's,@DOCDIR@,$(patsubst $(DESTDIR)%,%,$(docdir)),g' \
+	sed -e 's,@LIBEXECDIR@/@APPNAME@,$(patsubst $(DESTDIR)%,%,$(libexecdir)),g' \
+		-e 's,@DATADIR@/@APPNAME@,$(patsubst $(DESTDIR)%,%,$(datadir)),g' \
+		-e 's,@DOCDIR@/@APPNAME@,$(patsubst $(DESTDIR)%,%,$(docdir)),g' \
 		-e 's,@APPNAME@,$(appname),g' \
 		-i $(gamesbindir)/$(appname)-server
 	install -m644 ../$(appgamedir)/version.cfg \
-		$(datadir)/$(appname)/version.cfg
+		$(datadir)/version.cfg
 
 system-install-data:
-	install -d $(datadir)/$(appname)
-	install -d $(datadir)/$(appname)/game
-	cp -r ../data $(datadir)/$(appname)/data
-	cp -r ../$(appgamedir) $(datadir)/$(appname)/game
+	install -d $(datadir)
+	install -d $(datadir)/game
+	cp -r ../data $(datadir)/data
+	cp -r ../$(appgamedir) $(datadir)/game
 
 system-install-docs: $(MANPAGES)
 	install	-d $(mandir)/man6
 	install -d $(docdir)/$(appname)
-	sed -e 's,@LIBEXECDIR@,$(patsubst $(DESTDIR)%,%,$(libexecdir)),g' \
-		-e 's,@DATADIR@,$(patsubst $(DESTDIR)%,%,$(datadir)),g' \
-		-e 's,@DOCDIR@,$(patsubst $(DESTDIR)%,%,$(docdir)),g' \
+	sed -e 's,@LIBEXECDIR@/@APPNAME@,$(patsubst $(DESTDIR)%,%,$(libexecdir)),g' \
+		-e 's,@DATADIR@/@APPNAME@,$(patsubst $(DESTDIR)%,%,$(datadir)),g' \
+		-e 's,@DOCDIR@/@APPNAME@,$(patsubst $(DESTDIR)%,%,$(docdir)),g' \
 		-e 's,@APPNAME@,$(appname),g' \
 		-e 's,@CAPPNAME@,$(cappname),g' \
 		../doc/man/$(appsrcname).6.am | \
 		gzip -9 -n -c > $(mandir)/man6/$(appname).6.gz
-	sed -e 's,@LIBEXECDIR@,$(patsubst $(DESTDIR)%,%,$(libexecdir)),g' \
-		-e 's,@DATADIR@,$(patsubst $(DESTDIR)%,%,$(datadir)),g' \
-		-e 's,@DOCDIR@,$(patsubst $(DESTDIR)%,%,$(docdir)),g' \
+	sed -e 's,@LIBEXECDIR@/@APPNAME@,$(patsubst $(DESTDIR)%,%,$(libexecdir)),g' \
+		-e 's,@DATADIR@/@APPNAME@,$(patsubst $(DESTDIR)%,%,$(datadir)),g' \
+		-e 's,@DOCDIR@/@APPNAME@,$(patsubst $(DESTDIR)%,%,$(docdir)),g' \
 		-e 's,@APPNAME@,$(appname),g' \
 		-e 's,@CAPPNAME@,$(cappname),g' \
 		../doc/man/$(appsrcname)-server.6.am | \
 		gzip -9 -n -c > $(mandir)/man6/$(appname)-server.6.gz
-	cp -r ../doc/examples $(docdir)/$(appname)/examples
-	cp ../doc/guidelines.txt $(docdir)/$(appname)/guidelines.txt
+	cp -r ../doc/examples $(docdir)/examples
+	cp ../doc/guidelines.txt $(docdir)/guidelines.txt
 
 system-install-menus: icons
 	install -d $(menudir)
@@ -119,9 +119,9 @@
 	install -d $(icondir)/64x64/apps
 	install -d $(icondir)/128x128/apps
 	install -d $(pixmapdir)
-	sed -e 's,@LIBEXECDIR@,$(patsubst $(DESTDIR)%,%,$(libexecdir)),g' \
-		-e 's,@DATADIR@,$(patsubst $(DESTDIR)%,%,$(datadir)),g' \
-		-e 's,@DOCDIR@,$(patsubst $(DESTDIR)%,%,$(docdir)),g' \
+	sed -e 's,@LIBEXECDIR@/@APPNAME@,$(patsubst $(DESTDIR)%,%,$(libexecdir)),g' \
+		-e 's,@DATADIR@/@APPNAME@,$(patsubst $(DESTDIR)%,%,$(datadir)),g' \
+		-e 's,@DOCDIR@/@APPNAME@,$(patsubst $(DESTDIR)%,%,$(docdir)),g' \
 		-e 's,@APPNAME@,$(appname),g' \
 		install/nix/$(appsrcname).desktop.am > \
 		$(menudir)/$(appname).desktop
